#!/bin/tcsh

set RESULT=start_finish_diff.txt
set TMP=/tmp/${RESULT}

date > ${TMP}
echo '===============================================================================' >> ${TMP}

foreach f (thesis_start/*.{tex,sty})
  echo "Executing: diff $f thesis_finish/`basename $f`" >> ${TMP}
  diff $f thesis_finish/`basename $f` >> ${TMP}
  echo '===============================================================================' >> ${TMP}
end

foreach f (thesis_start/*/*)
  echo "Executing: diff $f `echo $f | sed 's/thesis\_start/thesis\_finish/'`" >> ${TMP}
  diff $f `echo $f | sed 's/thesis\_start/thesis\_finish/'` >> ${TMP}
  echo '===============================================================================' >> ${TMP}
end

sed 's/
//g' ${TMP} | unix2dos -ascii > ${RESULT}

